package net.knarcraft.ffmpegconverter.converter;

import java.io.File;
import java.io.IOException;

/**
 * This interface describes a file converter
 */
public interface Converter {

    /**
     * Converts the given file
     *
     * @param file <p>The file to convert.</p>
     * @throws IOException <p>If the file cannot be converted.</p>
     */
    void convert(File file) throws IOException;
}
